---
title:  "Overview of Flink System Architecture & Internals"
---
<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements.  See the NOTICE file
distributed with this work for additional information
regarding copyright ownership.  The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License.  You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied.  See the License for the
specific language governing permissions and limitations
under the License.
-->

This documentation provides an overview of the "How-To's" for
Flink developers. It is intended as guide to contributors and people
that are interested in the technology behind Flink.


## Architectures and Components

- [How-to: Adding a new Operator](internal_add_operator.html)

- [How-to: Using logging in Flink](internal_logging.html)

- [How-to: Setting up Eclipse to develop Flink](internal_setup_eclipse.html)

- [How-to: Setting up IntelliJ to develop Flink](internal_setup_intellij.html)

---

*This documentation is maintained by the contributors of the individual components.
We kindly ask anyone that adds and changes components to eventually provide a patch
or pull request that updates these documents as well.*

